CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

NumberOfControlPoint Property (ActiveX)

2023-1-3 10:17| 发布者: admin| 查看: 349| 评论: 0|来自: AutoCAD

摘要: 获取样条的控制点数。

获取样条的控制点数。

支持的平台:仅窗口

签名

工 务 局:

object.NumberOfControlPoints 
对象

类型:样条

此属性适用的对象。

属性值

只读:是的

类型:整数

样条的控制点数。

言论

控制点通过向样条曲线的一部分添加权重来微调样条定义。

您可以使用该方法查询控制点的当前位置。您可以使用该方法为控制点设置新的坐标位置。您可以使用该方法为控制点设置新的权重。GetControlPointSetControlPointSetWeight

例子

工 务 局:

Sub Example_NumberOfControlPoints()
    ' This example creates a spline object in model space.
    ' It then finds the number of control points for that spline.

    ' Create the spline
    Dim splineObj As AcadSpline
    Dim startTan(0 To 2) As Double
    Dim endTan(0 To 2) As Double
    Dim fitPoints(0 To 8) As Double
    
    startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
    endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
    fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0
    fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0
    fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0
    Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
    ZoomAll
    
    MsgBox "The Spline has " & splineObj.NumberOfControlPoints & " control points.", , "NumberOfControlPoints Example"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_NumberOfControlPoints()
    ;; This example creates a spline object in model space.
    ;; It then finds the number of control points for that spline.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Create the spline
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(1 1 0
				     5 5 0
				     10 0 0
				    )
    )

    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    (alert (strcat "The Spline has " (itoa (vla-get-NumberOfControlPoints splineObj)) " control points."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 07:00

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部